    import {AgentManager} from '@solana/web3'

public class | source

# AgentManager

## Constructor Summary

Public Constructor
public | constructor(useHttps: boolean) |

## Method Summary

Public Methods
public | requestEnd() |
public | requestStart(): http.Agent | https.Agent |

## Public Constructors

### public constructor(useHttps: boolean) source

#### Params:

Name | Type | Attribute | Description
useHttps | boolean |  |

## Public Methods

### public requestEnd() source

### public requestStart(): http.Agent | https.Agent source

#### Return:

http.Agent | https.Agent